#include<iostream>

using namespace std;

int main()
{
    int T;
    cin>>T;
    int n[T],k[T];
    long m[T];

    for(int i=0; i<T; i++)
        cin>>n[i]>>m[i]>>k[i];

    long zbir=0;
    int br=0;


    for(int i=0; i<T; i++)
    {
        br=2;
        zbir=k[i];
        n[i]-=k[i];

        while(n[i]>0)
        {
        if(n[i]>=k[i])
        {
            zbir+=k[i]*br++;
            n[i]-=k[i];
        }
        else
        {
            zbir+=n[i]*br++;
            n[i]-=k[i];
        }
        }


        if(n[i]>m[i])
            cout<<"Nie"<<endl;
        else
        {
        if(m[i]>=zbir)
            cout<<"Tak"<<endl;
        else
            cout<<"Nie"<<endl;
        }
        zbir=0;
    }

    return 0;
}